Bug 483329 - cjkuni-fonts : Unowned directories
cjkuni-fonts : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cjkuni-fonts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 15:39 EST by Michael Schwendt
Modified: 2009-04-07 23:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 23:51:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-01-30 15:39:36 EST
One or more directories are not included within this
package and/or its sub-packages:

=> cjkuni-fonts-0.2.20080216.1-17.fc11.src.rpm
=> cjkuni-ukai-fonts-0.2.20080216.1-17.fc11.noarch (rawhide-development-i386)
/usr/share/fonts/cjkuni

=> cjkuni-fonts-0.2.20080216.1-17.fc11.src.rpm
=> cjkuni-uming-fonts-0.2.20080216.1-17.fc11.noarch (rawhide-development-i386)
/usr/share/fonts/cjkuni

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n ^cjkuni
Comment 1 Nicolas Mailhot 2009-01-30 16:34:44 EST
1. The -common subpackage is missing the %dir %{_fontdir} line of the official template
2. the gs stuff should probably be moved in a subpackage that depends on
ghostscript
Comment 2 Caius Chance 2009-02-02 20:37:53 EST
1 and 2 have been resolved:

http://koji.fedoraproject.org/koji/buildinfo?buildID=81269
Comment 3 Michael Schwendt 2009-04-01 06:28:07 EDT
=> cjkuni-fonts-0.2.20080216.1-21.fc11.src.rpm
=> cjkuni-fonts-compat-0.2.20080216.1-21.fc11.noarch (rawhide)
/usr/share/fonts/zh_TW
/usr/share/fonts/zh_TW/TrueType
/usr/share/fonts/zh_CN
/usr/share/fonts/zh_CN/TrueType
Comment 4 Caius Chance 2009-04-07 23:51:28 EDT
done http://koji.fedoraproject.org/koji/buildinfo?buildID=96996

Note You need to log in before you can comment on or make changes to this bug.